% local filter function
function Hd = testBPF(Fc1,Fc2,fs)
%TESTBPF Returns a discrete-time filter object.

% MATLAB Code
% Generated by MATLAB(R) 8.4 and the DSP System Toolbox 8.7.
% Generated on: 07-May-2015 15:49:51

% Butterworth Bandpass filter designed using FDESIGN.BANDPASS.
% Fc1 is the first cutoff frequency
% Fc2 is the second cutoff frequency

N   = 20;   % Order

% Construct an FDESIGN object and call its BUTTER method.
h  = fdesign.bandpass('N,F3dB1,F3dB2', N, Fc1, Fc2, fs);
Hd = design(h, 'butter');
end
